Register and trusts new Kubernetes Monitor
POST /api
Also reachable at /api, /api, /api.
Path Parameters
spaceIdstring (required)
Request Body
InstallationIdstring (required)
Installation ID of that uniquely identifies the physical installation of the agent. Formatuuid.MachineIdstring (required)
Machine ID of that uniquely identifies the deployment target or worker that is being observed.PreserveAuthenticationTokenboolean
Controls whether the authentication token should be preserved during re-registration. If not supplied (null), the token will be regenerated (default behavior). If false, the token will be regenerated. If true, the existing token will be preserved.SpaceIdstring (required)
Response
200 — Response containing the registered agent.
AuthenticationTokenstring
Authentication token for the monitor. Will be null if PreserveAuthenticationToken was set to true in the request and not registering a new monitor.CertificateThumbprintstring
Minimum length 1.ResourceobjectIdstringInstallationIdstring
Formatuuid.MachineIdstringSpaceIdstring
Example Request
{
"InstallationId": "00000000-0000-0000-0000-000000000000",
"MachineId": "Machines-1",
"PreserveAuthenticationToken": true,
"SpaceId": "Spaces-1"
}Example Response
{
"AuthenticationToken": "string",
"CertificateThumbprint": "string",
"Resource": {
"Id": "KubernetesMonitors-1",
"InstallationId": "00000000-0000-0000-0000-000000000000",
"MachineId": "Machines-1",
"SpaceId": "Spaces-1"
}
}Request the Kubernetes monitor to start sending events for the specified resource
POST /api
Also reachable at /api.
Path Parameters
spaceIdstring (required)
Request Body
DesiredOrKubernetesMonitoredResourceIdstring (required)
Minimum length 1.EnvironmentIdstring (required)MachineIdstring (required)ProjectIdstring (required)SpaceIdstring (required)TenantIdstring
Response
200 — Confirmation response containing a session ID for the event session
SessionIdstring
Formatuuid.
Example Request
{
"DesiredOrKubernetesMonitoredResourceId": "string",
"EnvironmentId": "Environments-1",
"MachineId": "Machines-1",
"ProjectId": "Projects-1",
"SpaceId": "Spaces-1",
"TenantId": "Tenants-1"
}Example Response
{
"SessionId": "00000000-0000-0000-0000-000000000000"
}Request to fetch all the events for the specified session
GET /api
Also reachable at /api.
Path Parameters
sessionIdstring (required)spaceIdstring (required)
Response
200 — Response containing the events for a sessionID
ErrorobjectErrorCodestring
Minimum length 1.ErrorMessagestring
Minimum length 1.
Eventsarray of objectActionstringCountintegerFirstObservedTimestringLastObservedTimestringManifeststringNotestringReasonstringReportingControllerstringReportingInstancestringTypestring
IsSessionCompletedboolean
Example Response
{
"Error": {
"ErrorCode": "string",
"ErrorMessage": "string"
},
"Events": [
{
"Action": "string",
"Count": 0,
"FirstObservedTime": "string",
"LastObservedTime": "string",
"Manifest": "string",
"Note": "string",
"Reason": "string",
"ReportingController": "string",
"ReportingInstance": "string",
"Type": "string"
}
],
"IsSessionCompleted": true
}Get a Kubernetes Monitor by ID
GET /api
Also reachable at /api.
Path Parameters
idstring (required)
Id of the Kubernetes Monitor.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Kubernetes Monitor
ResourceobjectIdstringInstallationIdstring
Formatuuid.MachineIdstringSpaceIdstring
Example Response
{
"Resource": {
"Id": "KubernetesMonitors-1",
"InstallationId": "00000000-0000-0000-0000-000000000000",
"MachineId": "Machines-1",
"SpaceId": "Spaces-1"
}
}Delete a Kubernetes Monitor by ID
DELETE /api
Also reachable at /api.
Path Parameters
idstring (required)
Id of the Kubernetes Monitor.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Response for deleting a Kubernetes Monitor
Example Response
{}Request the Kubernetes monitor to start sending logs for the specified container
POST /api
Also reachable at /api.
Path Parameters
spaceIdstring (required)
Request Body
ContainerNamestring (required)
Minimum length 1.DesiredOrKubernetesMonitoredResourceIdstring (required)
Minimum length 1.EnvironmentIdstring (required)MachineIdstring (required)PodNamestring (required)
Minimum length 1.ProjectIdstring (required)ShowPreviousContainerboolean (required)SpaceIdstring (required)TenantIdstring
Response
200 — Confirmation response containing any errors that might have occurred during communications with the Kubernetes Monitor
SessionIdstring
Formatuuid.
Example Request
{
"ContainerName": "string",
"DesiredOrKubernetesMonitoredResourceId": "string",
"EnvironmentId": "Environments-1",
"MachineId": "Machines-1",
"PodName": "string",
"ProjectId": "Projects-1",
"ShowPreviousContainer": true,
"SpaceId": "Spaces-1",
"TenantId": "Tenants-1"
}Example Response
{
"SessionId": "00000000-0000-0000-0000-000000000000"
}Request to fetch all the logs for the specified session
GET /api
Also reachable at /api.
Path Parameters
sessionIdstring (required)spaceIdstring (required)
Response
200 — Response containing the logs for a sessionID
ErrorobjectErrorCodestring
Minimum length 1.ErrorMessagestring
Minimum length 1.
IsSessionCompletedbooleanLogsarray of objectMessagestringTimestampstring
Example Response
{
"Error": {
"ErrorCode": "string",
"ErrorMessage": "string"
},
"IsSessionCompleted": true,
"Logs": [
{
"Message": "string",
"Timestamp": "string"
}
]
}Request the live status for a Project/Environment/Tenant
GET /api
Also reachable at /api, /api, /api.
Path Parameters
environmentIdstring (required)projectIdstring (required)spaceIdstring (required)tenantIdstring (required)
Query Parameters
summaryOnlyboolean
Response
200 — Live status for a given Project/Environment/Tenant
MachineStatusesarray of objectMachineIdstringResourcesarray of objectStatusstring
Minimum length 1.
SummaryobjectHealthStatusstring
Minimum length 1.LastUpdatedstringStatusstring
Minimum length 1.SyncStatusstring
Minimum length 1.SyncStatusMessagestringTotalOrphanCountinteger
Example Response
{
"MachineStatuses": [
{
"MachineId": "Machines-1",
"Resources": [
{}
],
"Status": "string"
}
],
"Summary": {
"HealthStatus": "string",
"LastUpdated": "string",
"Status": "string",
"SyncStatus": "string",
"SyncStatusMessage": "string",
"TotalOrphanCount": 0
}
}Get a detailed summary of a live Kubernetes resource - either a top-level resource or a child resource
GET /api
Also reachable at /api, /api, /api.
Path Parameters
desiredOrKubernetesMonitoredResourceIdstring (required)environmentIdstring (required)projectIdstring (required)sourceIdstring (required)spaceIdstring (required)tenantIdstring (required)
Response
200 — Response containing detailed summary of a live kubernetes resource - Either a top level resource or a child resource
ResourceobjectChildrenarray of objectDesiredResourceIdstring
Formatuuid.ExternalLinkobjectHealthStatusenum
Allowed values:Stale.HealthStatusMessagestringKindstring
Minimum length 1.LastUpdatedstringManifestSummaryobjectNamestringNamespacestringResourceIdstring
Formatuuid.ResourceSourceIdstringSourceTypeenum
Allowed values:KubernetesMonitor,ArgoCDInstance,ArgoCDApplication.SyncStatusstringSyncStatusMessagestring
Example Response
{
"Resource": {
"Children": [],
"DesiredResourceId": "00000000-0000-0000-0000-000000000000",
"ExternalLink": {
"Label": "string",
"Uri": "string"
},
"HealthStatus": "Stale",
"HealthStatusMessage": "string",
"Kind": "string",
"LastUpdated": "string",
"ManifestSummary": {
"Annotations": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"CreationTimestamp": "2020-01-01T00:00:00.000Z",
"Kind": "string",
"Labels": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Name": "string",
"Namespace": "string",
"ResourceId": "00000000-0000-0000-0000-000000000000",
"ResourceSourceId": "string",
"SourceType": "KubernetesMonitor",
"SyncStatus": "string",
"SyncStatusMessage": "string"
}
}Request for retrieving the manifest for a live kubernetes resource
GET /api
Also reachable at /api, /api, /api.
Path Parameters
desiredOrKubernetesMonitoredResourceIdstring (required)environmentIdstring (required)projectIdstring (required)sourceIdstring (required)spaceIdstring (required)tenantIdstring (required)
Response
200 — Contains the manifest for a live resource
DesiredManifeststringDiffobjectDiffstring
Minimum length 1.Leftstring
Minimum length 1.Rightstring
Minimum length 1.
LiveManifeststring
Minimum length 1.
Example Response
{
"DesiredManifest": "string",
"Diff": {
"Diff": "string",
"Left": "string",
"Right": "string"
},
"LiveManifest": "string"
}Request for retrieving the manifest for a live kubernetes resource
GET /api
Also reachable at /api, /api, /api.
Path Parameters
desiredOrKubernetesMonitoredResourceIdstring (required)environmentIdstring (required)projectIdstring (required)sourceIdstring (required)spaceIdstring (required)tenantIdstring (required)
Response
200 — Contains the manifest for a live resource
DesiredManifeststringDiffobjectDiffstring
Minimum length 1.Leftstring
Minimum length 1.Rightstring
Minimum length 1.
LiveManifeststring
Example Response
{
"DesiredManifest": "string",
"Diff": {
"Diff": "string",
"Left": "string",
"Right": "string"
},
"LiveManifest": "string"
}